Bug 43941 - /usr/sbin/kbdconfig should be run if /.unconfigured
/usr/sbin/kbdconfig should be run if /.unconfigured
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-08 05:57 EDT by Pekka Savola
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-12 00:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-06-08 05:57:45 EDT
I feel /usr/sbin/kbdconfig should also be run, in addition to the 
other existing *config tools, if host has been /.unconfigure'd.

This addresses problems when shipping "unconfigured" boxes to another
country, people using dvorak keyboards etc.

Something like:

--- rc.d/rc.sysinit~	Sat Apr  7 18:10:47 2001
+++ rc.d/rc.sysinit	Fri Jun  8 12:59:44 2001
@@ -558,6 +558,9 @@
     if [ -x /usr/sbin/timeconfig ]; then
 	/usr/sbin/timeconfig
     fi
+    if [ -x /usr/sbin/kbdconfig ]; then
+	/usr/sbin/kbdconfig
+    fi
     if [ -x /usr/sbin/authconfig ]; then
 	/usr/sbin/authconfig --nostart
     fi

would probably be just fine :-)
Comment 1 Pekka Savola 2001-07-22 15:49:51 EDT
Reminder; additional note: sys-unconfig.8 will have to be touched too.
Comment 2 Bill Nottingham 2001-08-07 02:47:22 EDT
Will be fixed in 6.12-1.
Comment 3 Pekka Savola 2001-08-11 06:58:54 EDT
sys-unconfig.8 was not patched.  Not sure if it's up-to-date anyway, though.

Re-opening, just in case.
Comment 4 Bill Nottingham 2001-08-12 00:46:36 EDT
You must be looking at a different version. Looking at it here, it's patched.
Comment 5 Bill Nottingham 2001-08-12 00:51:37 EDT
[root@nostromo root]# zgrep kbdconfig /usr/share/man/man8/sys-unconfig.8.gz 
kbdconfig, authconfig, and ntsysv.
.BR kbdconfig (8),
[root@nostromo root]# rpm -qf /usr/share/man/man8/sys-unconfig.8.gz 
initscripts-6.13-1
Comment 6 Pekka Savola 2001-08-12 02:48:35 EDT
Ah sorry.  Root dir of initscripts CVS hadn't just updated for me for some reason or another.

Note You need to log in before you can comment on or make changes to this bug.